using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class EmployeeStatus : BaseEntity
    {
        public int EmployeeStatusId { get; set; }
        public string EmployeeStatusName { get; set; }

        //generic Id
        public override int GetEntityId() => EmployeeStatusId;

        //generic ToString()
        public override string ToString() => $"EmployeeStatusId: {GetEntityId()}; Name: {EmployeeStatusName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}